Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236763 - Inconsistent udev bug when using OpenIB stack on RT kernel
Summary: Inconsistent udev bug when using OpenIB stack on RT kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 15:48 UTC by Gurhan Ozen
Modified: 2013-11-04 01:32 UTC (History)
1 user (show)

Fixed In Version: -34
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-02 19:41:34 UTC


Attachments (Terms of Use)

Description Gurhan Ozen 2007-04-17 15:48:50 UTC
Description of problem:
  So I was trying to test OpenIB on RT kernel using the kernel at:
porkchop.redhat.com/brewroot/packages/kernel-rt/2.6.20/19.el5rt/

  However after installing OpenIB packages, on at least one occasion, I got the
following error:

   Starting udev: BUG: spinlock lockup on CPU#3, softirq-tasklet/48, 
ffff81999999d4c8

  
Version-Release number of selected component (if applicable):

2.6.20-19.el5rt

How reproducible:
Not reliably:( It happened on both machine last night, but when i reboot them
today, i don't get the same issue. Will keep an eye on it to figure out if there
is a reliable way to reproducing it. 

Steps to Reproduce:
1.  
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Doug Ledford 2007-07-10 20:51:50 UTC
This should likely be resolved by the updated OFED patch I used in the latest rt
kernel.  The patches have been mailed to Clark Williams for inclusion in his
official rt kernel builds.

Comment 2 Clark Williams 2007-07-26 14:45:39 UTC
applied; testing


Note You need to log in before you can comment on or make changes to this bug.